Skip to content

Modify browser profile

Request

Bodyapplication/json
browserTypeIdinteger

Browser type ID; 1=Chrome, 2=Firefox

operatorSystemIdinteger

OS type ID; 1:Windows 2:macOS 3:Android 4:IOS 5:Linux

isEncryptinteger

Whether to encrypt the profile; 0=No, 1=Yes

startupParamsArray of strings

Additional browser startup parameters

accountInfoobject(AccountInfo)

Account information

advancedSettingobject(AdvancedSetting)

Advanced browser fingerprint settings

afterStartupConfigobject(AfterStartupConfig)

Configurations after startup

browserCoreinteger

Kernel version; default:0 (auto-match). Fetch available versions via /api/env/advanced/ua/versions.

cookiesstring

Cookie string to preload (optional)

envNamestring

Environment name

envRemarkstring

Environment remark; max length:1500 chars

groupIdinteger

Environment group ID; default:ungrouped (0)

groupNamestring, <= 50 characters

Group name (max 50 characters). If provided, the system first checks groupId: if a valid group is found, it is used; otherwise, it searches by groupName. If a group with that name exists, it is referenced; if not, a new group is created. Each team is limited to 1,000 groups.

proxyIdinteger

Proxy ID; default:0

tagIdsArray of integers

Tag IDs; default:none

uaVersioninteger

UA preset version; default:0 (all)

disableAudiointeger

Disable audio:0 = off, 1 = on

disableImginteger

Disable image loading:0 = off, 1 = on

disableVideointeger

Disable video loading:0 = off, 1 = on

imgLimitSizeinteger

Max image size (KB)

envIdstringrequired

Environment ID

POST
/api/env/update
curl -i -X POST \
  http://127.0.0.1:40000/api/env/update \
  -H 'Content-Type: application/json' \
  -d '{
    "accountInfo": {
      "platformId": 9999,
      "customerUrl": "",
      "username": "",
      "password": "",
      "otpSecret": "",
      "siteId": 0
    },
    "advancedSetting": {
      "ua_version": 140,
      "os": 2,
      "time_zone": {
        "switcher": 2,
        "value": "1703673608443793408"
      },
      "web_rtc": {
        "switcher": 4
      },
      "geo_location": {
        "switcher": 2,
        "base_on_ip": true,
        "longitude": 0,
        "latitude": 0,
        "accuracy": 17000
      },
      "resolution": {
        "switcher": 2,
        "id": "1703673947297419264"
      },
      "font": {
        "switcher": 1,
        "value": ""
      },
      "canvas": {
        "switcher": 2
      },
      "webgl_image": {
        "switcher": 1
      },
      "webgl_metadata": {
        "switcher": 1
      },
      "web_gpu": {
        "switcher": 3
      },
      "speech_voise": {
        "switcher": 1
      },
      "audio_context": {
        "switcher": 1
      },
      "media_device": {
        "switcher": 2
      },
      "client_rects": {
        "switcher": 2
      },
      "hardware_concurrency": 6,
      "memery_device": 4,
      "port_scan_protection": {
        "switcher": 1,
        "value": ""
      },
      "battery": {
        "switcher": 2
      },
      "bluetooth": {
        "switcher": 1
      },
      "do_not_track": 2,
      "language": {
        "switcher": 1,
        "value": "1703673595865075712,1703673597404385280"
      },
      "ua": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.6422.61 Safari/537.36"
    },
    "cookies": "",
    "afterStartupConfig": {
      "afterStartup": 3,
      "autoOpenUrls": [
        "https://www.x.com"
      ],
      "platformUrl": "https://www.facebook.com/"
    },
    "browserCore": 0,
    "browserTypeId": 1,
    "envName": "",
    "envRemark": "",
    "groupId": 0,
    "groupName": "",
    "isEncrypt": 0,
    "operatorSystemId": 2,
    "proxyId": 0,
    "tagIds": [],
    "uaVersion": 0,
    "disableAudio": 0,
    "disableVideo": 0,
    "disableImg": 0,
    "imgLimitSize": 10
  }'

Responses

Headers
any
Bodyapplication/json
codeintegerrequired
msgnullrequired
datanullrequired
requestIdstringrequired
Response
{ "code": 0, "msg": null, "data": null, "requestId": "string" }